# showEncounterDialogue | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function showEncounterDialogue

- showEncounterDialogue(
  textContentKey: string,
  speakerContentKey: string,
  delay?: null | number,
  callbackDelay?: number,
  ): Promise<void>

  Will display a dialogue (with speaker title) in UI with injected encounter data tokens

  #### Parameters

  - textContentKey: string
  - speakerContentKey: string
  - delay: null | number = null
  - callbackDelay: number = 0

  #### Returns Promise<void>

  - Defined in src/data/mystery-encounters/utils/encounter-dialogue-utils.ts:87